Bug 25760 - mozilla does not allow to fill forms in current locale charmap - iso latin1 only.
Summary: mozilla does not allow to fill forms in current locale charmap - iso latin1 o...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-02 22:19 UTC by Leonid Kanter
Modified: 2008-05-01 15:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-26 22:37:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leonid Kanter 2001-02-02 22:19:52 UTC
mozilla-0.7, built at redhat, uses only iso latin 1 fonts in url field and
in forms fields. But it have to use fonts in current locale encoding
(koi8-r fonts for ru_RU.koi8r locale). The same buggy behavior like
netscape 6. With mozilla-0.7 binary from www.mozilla.org everything is OK.

Comment 1 Eido Inoue 2001-02-03 20:32:35 UTC
Japanese is hosed too.

Comment 2 Christopher Blizzard 2001-02-26 18:13:03 UTC
Adrian, wasn't this an installer bug?

Comment 3 Leonid Kanter 2001-02-26 21:36:20 UTC
I've just found that this problem does not happen if LANG is set to full
canonical value (ru_RU.KOI8-R). But installer set LANG to ru_RU.koi8r, and
mozilla does not work properly with it. As for Ukrainian, it does not supporn
neither uk_UA.KOI8-U, nor uk_UA.koi8u. It seems to me that there is somewhere a
hardcoded list of supported locales in mozilla. It should be fixed or installer
should use mozilla-friendly LANG values.

Comment 4 Matt Wilson 2001-02-26 21:52:29 UTC
No, the canonical locale is ru_RU.koi8r -- see:

/usr/lib/locale/ru_RU.koi8r/


Comment 5 Christopher Blizzard 2001-02-26 22:07:27 UTC
msw can you file a bug in mozilla's bugzilla about this issue?

Comment 6 Matt Wilson 2001-02-26 22:37:01 UTC
http://bugzilla.mozilla.org/show_bug.cgi?id=54000



Comment 7 Christopher Blizzard 2001-06-09 21:46:24 UTC
Fixed in 0.9.1 which should show up in rawhide shortly.


Note You need to log in before you can comment on or make changes to this bug.